export default defineNuxtPlugin({
  name: 'router',
  enforce: 'pre',
  setup(nuxtApp) {
    nuxtApp.vueApp.config.errorHandler = (error, instance, info) => {
      console.error('Vue Error:', error)
      console.error('Component:', instance)
      console.error('Info:', info)
    }

    nuxtApp.hook('vue:error', (error, instance, info) => {
      console.error('Vue Error:', error)
      console.error('Component:', instance)
      console.error('Info:', info)
    })
  }
}) 