export interface Project {
    id: string;
    title: string;
    description: string;
    image: string;
    technologies: string[];
    link?: string;
}

export interface Content {
    home: {
        title: string;
        subtitle: string;
        description: string;
        link: string;
    };
    about: {
        title: string;
        description: string;
        experiences: {
            title: string;
        };
    };
    cv: {
        title: string;
        file: string;
    };
}