import type { Resource } from "./resource";

export interface Project {
  id: number;
  title: string;
  description: string;
  longDescription?: string;
  image: string;
  technologies: string[];
  features: string[];
  github?: string;
  demo?: string;
  documentation?: string;
  youtube?: string;
  date: string;
  status: 'completed' | 'in-progress' | 'planned';
  resources: Resource[];
  gallery?: readonly string[];
}